org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<T>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionAdminRequest.CollectionShardAsyncAdminRequest, CollectionAdminRequest.ForceLeader

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    protected abstract static class CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>
    extends CollectionAdminRequest<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAsyncAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `collection`
`protected String` `shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
`protected` `CollectionAdminRequest.CollectionShardAdminRequest()`

### Method Summary

Methods
`String` `getCollectionName()`
`ModifiableSolrParams` `getCommonParams()` Deprecated.
`SolrParams` `getParams()`
`String` `getShardName()`
`T` `setCollectionName(String collectionName)`
`T` `setShardName(String shard)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, getThis, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### shardName

    protected String shardName

#### collection

    protected String collection

### Constructor Detail

#### CollectionAdminRequest.CollectionShardAdminRequest

    protected CollectionAdminRequest.CollectionShardAdminRequest()

### Method Detail

#### setCollectionName

    public T setCollectionName(String collectionName)

#### getCollectionName

    public String getCollectionName()

#### setShardName

    public T setShardName(String shard)

#### getShardName

    public String getShardName()

#### getCommonParams

    @Deprecated
    public ModifiableSolrParams getCommonParams()

Deprecated.

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest<T extends CollectionAdminRequest<T>>`